#pragma once

#include <QDialog>

namespace Ui {
class TextViewDialog;
}

/**
 * @brief Dialog for displaying longer text data.
 */
class TextViewDialog : public QDialog
{
    Q_OBJECT

public:
    explicit TextViewDialog(QWidget* parent = nullptr);
    void append(const QString& text);
    void clear();
    ~TextViewDialog();

private:
    Ui::TextViewDialog* ui_;
};
